## doc-base 0.7.1

=== debian/changelog ===
doc-base (0.7.1) frozen unstable; urgency=low (HIGH if you have problems
    with quotes in document registration files)

  * depend on recent Perl (closes Bug#21816)
  * set umask explictly, so all files are -rw-r--r-- (closes Bug#22275)
  * quote quotes for dwww-menu files (closes grave Bug#22990)

 -- Adam P. Harris <aph@debian.org>  Mon,  1 Jun 1998 01:49:50 -0400

doc-base (0.7.0) frozen unstable; urgency=low

  * maintainer scripts: one of the shell function used '-', which was
    renamed to '_'; shell for maintainer scripts set back to /bin/sh
  * doc-base.sgml: update the FSF address
  * copyright: list myself as maintainer
  * bump standards version to 2.4.1.0 (checked)
  * add digit to version number: 0.7.x will be for hamm maintenance
    (branched); probably 0.8 will be for our documentation drafts
    including information on the Debian Document Hierarchy, the new docreg 
    file format documentation and system, and other documents; 0.9 will
    probalby contain our implementations of these new infrastructures for
    slink; and eventually it'll all be a done deal and we'll hit 1.0. 

 -- Adam P. Harris <aph@debian.org>  Sun,  3 May 1998 09:05:23 -0400

doc-base (0.6) frozen unstable; urgency=low

  * change shell on maintainer scripts to bash, since that seems to cope
    with the shell functions better (closes Bug#21359, and undoubtedly
    more reports to come until this makes it into the archive)

 -- Adam P. Harris <aph@debian.org>  Sun, 19 Apr 1998 01:54:36 -0400

doc-base (0.5) frozen unstable; urgency=low

  * fix minor problems with the new install-docs-man document id, the
    document id was misnamed install-doc-man
  * improve the maintainer scripts immensely, trying to minimize removal,
    since it's not necessary to remove a document id when replacing it
  * doc-base.sgml: update TODO list

 -- Adam P. Harris <aph@debian.org>  Fri, 17 Apr 1998 01:17:06 -0400

doc-base (0.4) frozen unstable; urgency=low

  * much better dhelp support: be sure to run 'dhelp_parse -d' before
    altering a .dhelp file, multiple <item>s in one .dhelp file, and very
    good parsing of existing .dhelp files in case more than one
    document-id is adding a files in the same directory (closes
    Bug#18808, Bug#20038, Bug#20529)
  * we now will modify even foreign .dhelp files
  * lowercase sections for dhelp (only), and remove leading 'Apps/', which
    is a workaround until we have a real, policy-specified and thought-out
    documentation hierarchy (closes Bug#20862)
  * register install-docs man page, html version
  * moved Section for our own documentation from Apps/Programming to
    Debian

 -- Adam P. Harris <aph@debian.org>  Thu, 16 Apr 1998 06:27:08 -0400

doc-base (0.3) frozen unstable; urgency=low

  * add manual page for install-docs
  * debian/rules: clarifications and cleanup
  * added frozen to distribution ("oopsie" on last version)
  * install-docs is idempotent for --remove, that is, if you try to remove
    a docid which is already removed, it exits with a warning, but not a
    non-zero exit status (closes Bug#19875, I think)

 -- Adam P. Harris <aph@debian.org>  Thu,  9 Apr 1998 20:36:00 -0400

doc-base (0.2) unstable; urgency=low

  * new maintainer
  * clarify how to call install-docs in documentation (closes Bug#20530)
  * practice what I preach in maintainer scripts
  * debian/rules: call dpkg-gencontrol with -isp
  * copyright: update FSF address
  * actively fixing rest of bugs and lack of man page, patience please

 -- Adam P. Harris <aph@debian.org>  Mon,  6 Apr 1998 07:31:21 -0400

doc-base (0.1) unstable; urgency=low

  * Initial Release.
  * Only supports registering documents to the online documentation
    systems dwww and dhelp for now.

 -- Christian Schwarz <schwarz@debian.org>  Fri, 30 Jan 1998 21:38:45 +0100

Local variables:
mode: debian-changelog
mode: auto-fill
End:
