=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Adam P. Harris <aph@debian.org>
Standards-Version: 2.4.1.0

Package: doc-base
Depends: perl-base (>= 5.004.04-4)
Architecture: all
Description: Utilities to manage online documentation
 This package contains utilities to manage online documentation
 on a Debian system.
 .
 If you want to get additional information about doc-base please
 check out the `Debian doc-base Manual' included in this package.
