## doc-base 0.7.2

=== debian/changelog ===
doc-base (0.7.2) frozen unstable; urgency=low

  * maintainer name change
  * debian/rules: more robust way to interact with changelog, which is
    what I use on all my other packages
  * install-docs: fix some glitches in the POD output
  * doc-base.sgml: minor typo in documentation fixed (closes Bug#26530)
  * debian/control: suggests 'dwww | dhelp', without which the package
    currently isn't much good (closes Bug#31302)
  * no code changes

 -- Adam Di Carlo <aph@debian.org>  Sat,  2 Jan 1999 04:38:30 -0500
