=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Adam P. Harris <aph@debian.org>
+Maintainer: Adam Di Carlo <aph@debian.org>
 Standards-Version: 2.4.1.0
 
 Package: doc-base
 Depends: perl-base (>= 5.004.04-4)
+Suggests: dhelp | dwww
 Architecture: all
 Description: Utilities to manage online documentation
  This package contains utilities to manage online documentation
