=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 compress	:= gzip -9f
 
 # determine our version number
-DEB_VERSION	:= $(shell head -1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')
+DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
 
 build:
 	$(checkdir)
