## doc-base 0.7.8

=== debian/changelog ===
doc-base (0.7.8) frozen unstable; urgency=low

  * small changes for bugfixing, no new features, should go in potato
  * install-docs: if open of control file fails, look for file in
    /usr/share/doc-base/ (closes: Bug#53555)
  * update to Policy standards 3.1.1 -- added Build-Depends-Indep
    (closes: Bug#53261)
  * tweak preinst wording as it removes old .dhelp files 
    (closes: Bug#47010)
  * doc-base.sgml: use version.ent for dynamic versioning (shipped too);
    SGML aesthetics and tagging

 -- Adam Di Carlo <aph@debian.org>  Tue,  8 Feb 2000 20:07:16 -0500

doc-base (0.7.7) unstable; urgency=low

  * really update Policy standards to 3.0.1
  * dhelp now has a different program, dhelp_parse_fsstnd, to deal with
    /usr/doc vs /usr/share/doc, so use it
  * debian/control: conflict with dhelp (<< 0.3.14)
  * prerm, postinst: implement tech committe solution on /usr/doc symlink

 -- Adam Di Carlo <aph@debian.org>  Sat, 25 Sep 1999 16:34:11 -0400

doc-base (0.7.6) unstable; urgency=low

  * add perl5 depends (closes: Bug#44623)

 -- Adam Di Carlo <aph@debian.org>  Fri, 10 Sep 1999 21:37:01 -0400

doc-base (0.7.5) unstable; urgency=low

  * update Policy standards to 3.0.1
  * debian/rules: move documentation area back to /usr/doc for now;
    clean is a bit cleaner
  * maintainer scripts: simplify a bit; call 'install-docs -r' from
    preinst for upgrade from 0.7.4 (dir move) to avoid the dpkg warning
    (closes Bug#41785, #41161, #41326)
  * install-docs: prior to installing new docreg file, remove any already
    installed dhelp files -- this will help with the /usr/doc ->
    /usr/share/doc transition, although it won't suppress the dpkg
    warning, since 'install-docs -i' runs *after* the warning
  * doc-base.sgml: talk about how to avoid the dpkg warning about
    'Directory not empty' due to .dhelp file left around during upgrade;
    the solution in short is to run 'install-docs -r' during 'upgrade' in
    prerm

 -- Adam Di Carlo <aph@debian.org>  Sat, 14 Aug 1999 21:32:55 -0400

doc-base (0.7.4) unstable; urgency=low

  * install-docs: skip dhelp when directory != /usr/doc or 
    /usr/share/doc (closes Bug#32034)
  * changes for Policy 3.0.0 (no /usr/doc compat symlinks)
  * debian/control: removed perl-base dependancy -- it's required!
    (thanks to Raphael Hertzog)

 -- Adam Di Carlo <aph@debian.org>  Sat, 10 Jul 1999 21:45:41 -0400

doc-base (0.7.3) unstable; urgency=low

  * doc-base.sgml: fix typo (closes Bug#35986)
  * install-docs: only warn about unknown formats if verbose ('-v') is in
    effect (closes Bug#33509, Bug#35947, and hopefully quells the recent
    outcry on debian-devel)
  * debian/rules: debiandoc2text now has a default extension of .txt,
    which is better anyway, so use that

 -- Adam Di Carlo <aph@debian.org>  Thu, 13 May 1999 01:25:06 -0400
