=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Adam Di Carlo <aph@debian.org>
-Standards-Version: 2.4.1.0
+Standards-Version: 3.1.1
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.37)
 
 Package: doc-base
-Depends: perl-base (>= 5.004.04-4)
+Depends: perl5
 Suggests: dhelp | dwww
+Conflicts: dhelp (<< 0.3.14)
 Architecture: all
 Description: Utilities to manage online documentation
  This package contains utilities to manage online documentation
