=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 # directory abstraction
 prefix		:= debian/tmp
 sbindir		:= $(prefix)/usr/sbin
-mandir		:= $(prefix)/usr/man
-docdir		:= $(prefix)/usr/doc/$(package)
+mandir		:= $(prefix)/usr/share/man
+docdir		:= $(prefix)/usr/share/doc/$(package)
 sharedir	:= $(prefix)/usr/share/$(package)
 vardir		:= $(prefix)/var/lib/$(package)
 
@@ -28,7 +28,10 @@
 build:
 	$(checkdir)
 	perl -cw install-docs		# check perl script syntax
-	nsgmls -gues doc-base.sgml	# check SGML syntax
+	rm -f version.ent
+	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
+	echo "<!entity date    \"$(DATE)\">"        >> version.ent
+	nsgmls -wall -s -E20 doc-base.sgml	# check SGML syntax
 	debiandoc2html doc-base.sgml
 	debiandoc2text doc-base.sgml
 	pod2man --section=8 --center="Debian Utilities"		\
@@ -41,7 +44,8 @@
 clean:
 	$(checkdir)
 	rm -f build
-	rm -rf doc-base.html doc-base.text* install-docs.8
+	rm -rf doc-base.html doc-base.txt* install-docs.8 install-docs.html
+	rm -f pod2html* version.ent
 	rm -f `find . -name "*~"`
 	rm -rf $(prefix) debian/files* core debian/substvars
 
@@ -52,7 +56,7 @@
 	$(make_directory) $(docdir) $(sbindir) $(sharedir) $(mandir)/man8
 	$(make_directory) $(vardir)/info/
 	$(install_script) install-docs $(sbindir)/
-	$(install_file) doc-base.text doc-base.sgml $(docdir)/
+	$(install_file) doc-base.txt doc-base.sgml version.ent $(docdir)/
 	$(install_file) doc-base.desc $(sharedir)/doc-base
 	$(make_directory) $(docdir)/doc-base.html
 	$(install_file) doc-base.html/* $(docdir)/doc-base.html/
