## doc-base 0.7.11-0.woody1

=== debian/changelog ===
doc-base (0.7.11-0.woody1) stable; urgency=low

  * Non-maintainer upload by the release team.
  * Backport the following patch by Steve Langasek
    and Colin Watson to woody:
  * Fix install-docs to not require perl's File::Basename, so that it
    works even when perl is unconfigured.  See #278495.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 14 May 2005 16:06:13 +0200

doc-base (0.7.11) unstable; urgency=low

  * incorporate NMU (closes: #111703, #114657)
  * strengthen the wording of the prerm case -- for people getting 
      dpkg: warning - unable to delete old file `directory': Directory not empty
    due to old .dhelp files, please read section 2.4
    (closes: #59850)
  * some other minor updates in the documentation
  * debian/control: upgrade to standards version to 3.5.6, no changes
    needed 

    - Note that the stipulation that programs cannot reference files in
      /usr/share/doc [13.3] is not honored because that is required by
      dhelp; complaints about that should be directed towards dhelp.

 -- Adam Di Carlo <aph@debian.org>  Sun, 21 Oct 2001 01:38:04 -0400

doc-base (0.7.10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Quote control file names for regexps (closes: #111703).

 -- Colin Watson <cjwatson@debian.org>  Sat,  6 Oct 2001 13:06:59 +0100

doc-base (0.7.10) unstable; urgency=low

  * clarify wording when unregistering documentation
  * postrm works better when it's actually installed into the deb, duh
    really closes: #101252
  
 -- Adam Di Carlo <aph@debian.org>  Mon, 30 Jul 2001 02:11:12 -0400

doc-base (0.7.9) unstable; urgency=low

  * process doc-base files present already at configure time
    closes: #39006
  * conversely, remove all our files (nicely) at remove time, and purge
    /var/lib/doc-base at purge time
    closes: #101252
  * get our perl depends right, using dh_perl (required build-depends on
    debhelper)
    closes: #67171
  * fix a minor usr/doc vs usr/share/doc problem in the man page
    closes: #81126
  * fix for new license location in copyright file
  * in the documentation, we weren't noting the date properly based on the
    Debian changelogs
  * fixed a while ago:
    closes: #62230

 -- Adam Di Carlo <aph@debian.org>  Mon, 30 Jul 2001 01:56:07 -0400
