=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: doc
 Priority: optional
 Maintainer: Adam Di Carlo <aph@debian.org>
-Standards-Version: 3.1.1
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.37)
+Standards-Version: 3.5.6
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper
 
 Package: doc-base
-Depends: perl5
+Depends: ${perl:Depends}
 Suggests: dhelp | dwww
 Conflicts: dhelp (<< 0.3.14)
 Architecture: all
