=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,16 @@
 
 # determine our version number
 DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
+DEB_DATE	:= $(shell dpkg-parsechangelog | sed -n 's/^Date: *//p')
+# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
+DATE_EN		:= $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')
 
 build:
 	$(checkdir)
 	perl -cw install-docs		# check perl script syntax
 	rm -f version.ent
 	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
-	echo "<!entity date    \"$(DATE)\">"        >> version.ent
+	echo "<!entity date    \"$(DATE_EN)\">"        >> version.ent
 	nsgmls -wall -s -E20 doc-base.sgml	# check SGML syntax
 	debiandoc2html doc-base.sgml
 	debiandoc2text doc-base.sgml
@@ -70,8 +73,9 @@
 	sh -n debian/preinst
 	sh -n debian/postinst
 	sh -n debian/prerm
+	sh -n debian/postrm
 	# install control files
-	$(install_script) debian/preinst debian/postinst debian/prerm \
+	$(install_script) debian/preinst debian/postinst debian/prerm debian/postrm \
 		$(prefix)/DEBIAN/
 
 	# compress docs (policy)	
@@ -81,6 +85,7 @@
             ! -name "*.htm" ! -name "*.html" ! -name "*.gif" \
             ! -name "copyright" | xargs $(compress)
 
+	dh_perl
 	dpkg-gencontrol -isp
 	dpkg --build $(prefix) ..
