=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 docdir		:= $(prefix)/usr/share/doc/$(package)
 sharedir	:= $(prefix)/usr/share/$(package)
 vardir		:= $(prefix)/var/lib/$(package)
+lintiandir	:= $(prefix)/usr/share/lintian/overrides
 
 # build abstraction
 install_file	:= install -o root -g root -m 644
@@ -57,7 +58,7 @@
 	rm -rf $(prefix)
 	$(make_directory) $(prefix)/DEBIAN
 	$(make_directory) $(docdir) $(sbindir) $(sharedir) $(mandir)/man8
-	$(make_directory) $(vardir)/info/
+	$(make_directory) $(vardir)/info/ $(lintiandir)
 	$(install_script) install-docs $(sbindir)/
 	$(install_file) doc-base.txt doc-base.sgml version.ent $(docdir)/
 	$(install_file) doc-base.desc $(sharedir)/doc-base
@@ -66,19 +67,19 @@
 	$(install_file) install-docs.8 $(mandir)/man8/
 	$(install_file) install-docs.html $(docdir)/
 	$(install_file) install-docs.desc $(sharedir)/install-docs-man
+	$(install_file) debian/changelog debian/copyright $(docdir)/
+	$(install_file) debian/lintian-overrides $(lintiandir)/$(package)
 
-	$(install_file) debian/changelog debian/copyright $(docdir)/
-
-	# make sure control files are good
+#	 make sure control files are good
 	sh -n debian/preinst
 	sh -n debian/postinst
 	sh -n debian/prerm
 	sh -n debian/postrm
-	# install control files
+#	 install control files
 	$(install_script) debian/preinst debian/postinst debian/prerm debian/postrm \
 		$(prefix)/DEBIAN/
 
-	# compress docs (policy)	
+#	 compress docs (policy)	
 	find $(mandir) -type f | xargs $(compress)
 	find $(docdir) -type f \
 	    \( -size +4k -or -name "changelog*" \) \
