## doc-base 0.7.20ubuntu5

=== debian/changelog ===
doc-base (0.7.20ubuntu5) warty; urgency=low

  * Discard output from scrollkeeper-update.

 -- Colin Watson <cjwatson@flatline.org.uk>  Tue, 10 Aug 2004 13:02:10 +0100

doc-base (0.7.20ubuntu4) warty; urgency=low

  * Fix actual depends since it seems that perl:Depends is busted.

 -- Thom May <thom@planetarytramp.net>  Thu, 22 Jul 2004 14:44:38 +0100

doc-base (0.7.20ubuntu3) warty; urgency=low

  * Fix build depends

 -- Thom May <thom@planetarytramp.net>  Mon, 19 Jul 2004 20:19:14 +0100

doc-base (0.7.20ubuntu2) warty; urgency=low

  * Ensure that strings are UTF-8 before writing them to an xml file
  * Depend: on scrollkeeper

 -- Thom May <thom@planetarytramp.net>  Mon, 19 Jul 2004 18:39:15 +0100

doc-base (0.7.20ubuntu1) warty; urgency=low

  * Ensure that all doc-base files are re-registered. (Closes: #333)
  * Deal better with having directories in /usr/share/doc-base

 -- Thom May <thom@planetarytramp.net>  Mon, 19 Jul 2004 15:42:53 +0100

doc-base (0.7.19) warty; urgency=low

  * Implement scrollkeeper support

 -- Thom May <thom@debian.org>  Fri, 25 Jun 2004 13:53:50 +0100
