## doc-base 0.7.20ubuntu6

=== debian/changelog ===
doc-base (0.7.20ubuntu6) hoary; urgency=low

  * Properly convert &

 -- Thom May <thom@ubuntu.com>  Tue, 15 Mar 2005 15:42:07 +0000
