=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Adam Di Carlo <aph@debian.org>
 Standards-Version: 3.5.9
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper, libunicode-string-perl
 
 Package: doc-base
-Depends: ${perl:Depends}
+Depends: ${perl:Depends}, scrollkeeper, libunicode-string-perl
 Suggests: dhelp | dwww
 Conflicts: dhelp (<< 0.3.14), dwww (<< 1.9.0)
 Architecture: all
