=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,8 @@
 	$(install_script) install-docs $(sbindir)/
 	$(install_file) doc-base.txt doc-base.sgml version.ent $(docdir)/
 	$(install_file) doc-base.desc $(sharedir)/doc-base
+	$(make_directory) $(sharedir)/data
+	$(install_file) scrollkeeper.map $(sharedir)/data/
 	$(make_directory) $(docdir)/doc-base.html
 	$(install_file) doc-base.html/* $(docdir)/doc-base.html/
 	$(install_file) install-docs.8 $(mandir)/man8/
