## doc-base 0.7.20ubuntu7

=== debian/changelog ===
doc-base (0.7.20ubuntu7) breezy; urgency=low

  * debian/postinst: Fix warning with new findutils.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Jun 2005 18:17:43 +0100
