## doc-base 0.7.21

=== debian/changelog ===
doc-base (0.7.21) unstable; urgency=low

  * doc-base.sgml:
    + bless a few documentation formats: PDF, PostScript, Info, and DVI,
      which are already often used in the doc-base files
    + the `Index' field is required for the Info format.
  * install-docs:
    + support the above mentioned formats
    + warn if info format lacks the `Index' field.
  * install-docs: Some fixes for dhelp support:
    + when registering the doc files, don't remove the old .dhelp file until
      it's actually read and parsed. This partially fixes Bug#204195 (the full
      fix would probably require not removing .dhelp files when doc-base documents
      are unregistered)
    + don't HTML-encode entries already read from .dhelp file
    + made 'howto' and 'faq' section names  uppercase.
  * debian/postinst: Reregister all the doc-base files.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 17:48:08 +0200

doc-base (0.7.20) unstable; urgency=low

  * doc-base.sgml:
    + document common practice that value of `Files' field is a space
      separated list of filenames or glob patterns
    + also explicitly document the meaning of lines starting with two
      or more spaces
    + add the missing word (closes: #289448)
  * install-docs:
    + encode HTML special characters when generating the .dhelp files
      (closes: #114877)
    + correctly handle the verbatim text and blank line for the .dhelp files
    + warn if files referred by the doc-base files does not exist.
  * debian/postinst: Reregister all the doc-base files because of the above
    install-docs changes.
  * Remove ancient stuff from postinst & prerm scripts, remove preinst
    entirely.
  * Use `which' instead of`command -v' in the scripts (closes: #292967).
  * debian/copyright: update.
  * debian/control: suggest doc-central as an alternative to dhelp or dwww.
  * Ack NMU (closes: #278495).

 -- Robert Luberda <robert@debian.org>  Sun,  2 Apr 2006 14:26:47 +0200

doc-base (0.7.19) unstable; urgency=low

  * New maintainer (closes: #358436).
  * debian/*: Switch build-system do debhelper v5.
  * debian/postinst: Reorder arguments to invocation of find(1) command
    (closes: #309516).

 -- Robert Luberda <robert@debian.org>  Tue, 28 Mar 2006 19:58:06 +0200
