=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Adam Di Carlo <aph@debian.org>
+Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 3.5.9
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper, libunicode-string-perl
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper (>= 5.0.26)
 
 Package: doc-base
-Depends: ${perl:Depends}, scrollkeeper, libunicode-string-perl
-Suggests: dhelp | dwww
+Depends: ${perl:Depends}
+Suggests: dhelp | dwww | doc-central
 Conflicts: dhelp (<< 0.3.14), dwww (<< 1.9.0)
 Architecture: all
 Description: utilities to manage online documentation
