## doc-base 0.7.21ubuntu1

=== debian/changelog ===
doc-base (0.7.21ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Use the HTML-encoding function written for dhelp support rather than our
    own, which encoded < and > incorrectly.
  * Encode characters outside ASCII as numeric character entities rather
    than outputting them as UTF-8; with a little care, this allows us to
    avoid the use of Unicode::String. (install-docs is used
    opportunistically by maintainer scripts without a dependency, so it must
    behave as if it were Essential and work correctly when unconfigured.)
  * Write OMF files even if they already exist.
  * Fix typo in scrollkeeper.map ("Appls/Graphics" -> "Apps/Graphics").

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 14:33:40 +0100
