=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper (>= 5.0.26)
 
 Package: doc-base
-Depends: ${perl:Depends}
+Depends: ${perl:Depends}, scrollkeeper
 Suggests: dhelp | dwww | doc-central
 Conflicts: dhelp (<< 0.3.14), dwww (<< 1.9.0)
 Architecture: all
