=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	$(install_script) install-docs $(sbindir)/
 	$(install_file) doc-base.desc $(sharedir)/doc-base
 	$(install_file) install-docs.desc $(sharedir)/install-docs-man
+	$(install_file) scrollkeeper.map $(sharedir)/data/
 	$(install_file) debian/lintian-overrides $(lintiandir)/$(package)
