## doc-base 0.7.21ubuntu2

=== debian/changelog ===
doc-base (0.7.21ubuntu2) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Feb 2007 13:29:26 +0000
