## doc-base 0.8.4

=== debian/changelog ===
doc-base (0.8.4) unstable; urgency=low

  * Split install-docs into modules to make the code more manageable.
  * Try to avoid bugs like #278495: if our modules can't be loaded when
    (de)registering documentation files, create special flag file and
    reregister all the documents after install-docs is usable again.
  * Add support for (de)registering multiple documents in one install-docs
    invokation (closes: #114692).
  * Add --check/-c option to install-docs (closes: #35895), also add --rootdir
    option.
  * Remove `Registered-to-XXX' statuses, remove *.list files, deprecate the
    -L/--listfiles option. Names of the generated files are now keep in
    the status file in `Scrollkeeper-omf-files' and `Dhelp-files'  fields.
  * Change semantics of -r/--remove option: its arguments should be the names
    of previously installed doc-base files, and not the documents IDs. Still
    support the old semantics for backward compatibility.
  * Introduce -I/--install-all, -R/--remove-all, -d/--debug, -h/--help options.

  * Change the build system, create Makefile and let it do all the work.

  * doc-base.sgml:
    + Update outuput of --status, remove reference to --listfiles.
    + Add chapter about checking syntax of control files.
    + Update syntax of --remove option.

  * Dhelp support:
    + Pass a list of all registered files to dhelp (closes: #128493).
    + Create dhelp files only in top-level documentation dirs
      (i.e. /usr/share/doc/$package instead of /u/s/d/$package/something).
      According to dhelp's documentation this is the right thing to do.
      Also this should avoid problems with symlinks like #21678.
    + Add a special `x-doc-base-id' tag to generated dhelp files to make it
      possible to distinguish items in the dhelp files. When installing new
      documents existing files are no longer overwritten (closes: #204195),
      but on the other hand on documents removal the dhelp files may not be
      removed, which possibly reintroduces bugs like #59850.
    + Don't call dhelp_parse {-d,-a} on files that weren't changed.

  * Scrollkeeper support:
    + Fix broken non-empty directories check.
    + Save generated series id in `Scrollkeeper-sid' status field and use it
      for following registrations of the same document.
    + Call scrollkeeper-update only once in each invokation of install-docs.

  * Dwww support:
    + skip running update-menus if dwww package doesn't seem to be installed.

 -- Robert Luberda <robert@debian.org>  Sun, 06 May 2007 15:22:38 +0200

doc-base (0.8.3) unstable; urgency=low

  * prerm: Oops, the first letter from the `else' word went somehow 
    missing (closes: #419045).

 -- Robert Luberda <robert@debian.org>  Fri, 13 Apr 2007 19:40:06 +0200

doc-base (0.8.2) unstable; urgency=low

  * install-docs: yet another typo fixed.

 -- Robert Luberda <robert@debian.org>  Thu, 12 Apr 2007 21:40:07 +0200

doc-base (0.8.1) unstable; urgency=low

  * Fix a typo that cuased broken omf files being generated in some cases 
    (closes: #418861).

 -- Robert Luberda <robert@debian.org>  Thu, 12 Apr 2007 18:49:39 +0200

doc-base (0.8.0) unstable; urgency=low

  * Merge the scrollkeeper stuff from Ubuntu 0.7.21ubuntu2 (closes: #418412)
    with the following changes:
    + set omf dir to /var/lib/doc-base/omf and make it link from
       /usr/share/omf/doc-base;
    + try to register more formats in addition to html, both khelpcenter and
      yelp can handle them via external applications. Thanks to Sam Morris
      <sam+robots.org.uk> for the suggestion;
    + suggest yelp | khelpcenter as scrollkeeper browsers;
    + don't run scrollkeeper-update if --no-update-menus was passed to
      install-docs.

  * Improve the doc-base manual:
    + enhance the document layout, add some cross references;
    + remove the paragraph about automatic conversions between formats, it's
      not true, and won't be soon (unless someone provides me patch for this);
    + put an example of PDF and other supported formats (closes: #409121);
    + clarify allowable shell glob patterns (closes: #392587);
    + mention that the registered files should be located under /usr/share/doc
      hierarchy (closes: #333648);
    + review the TODO list, add some items I'd like to implement shortly.

  * postinst/postrm scripts:
    + do proper quoting of file names (closes: #395824);
    + reinstall_docs removes installed docs before re-registering them;
    + make the handling docs code from postrm match the postinst code;

  * install-docs:
    + `missing Index field for Info format' is an error now, not warning;
    + if glob() returns only one file, check for its existence. glob() seems
      to simply return its argument if it doesn't contain any meta-characters;
    + skip any doc-base files that contain Version: field, for future changes;
    + ignore `two many arguments' error for `-i' and `-r' options;

  * Move debhelper to Build-Depends (lintian)
  * Remove one useless lintian override and add two new ones ;)
  * Bump Standards-Version to 3.7.2.

 -- Robert Luberda <robert@debian.org>  Wed, 11 Apr 2007 22:41:28 +0200

doc-base (0.7.23) unstable; urgency=low

  * Oops, the previous change caused dhelp warnings about trying to create its
    .dhelp files in nonexistent directories. Fixed that.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Mar 2007 23:19:59 +0200

doc-base (0.7.22) unstable; urgency=medium

  * Show warnings about nonexistent files only when in verbose mode
    (closes: #409186, #366250).

 -- Robert Luberda <robert@debian.org>  Fri, 30 Mar 2007 21:53:26 +0200
